OpenTTD Source: SlStationSpecList Class Reference

OpenTTD Source 12.2

Public Member Functions | Static Public Attributes
SlStationSpecList Class Reference
Inheritance diagram for SlStationSpecList:

## Public Member Functions
void | Save (BaseStation *bst) const override
void | Load (BaseStation *bst) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlStationSpecList, BaseStation >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
virtual void | LoadCheck (BaseStation *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers (BaseStation *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _station_spec_list_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 196 of file station_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlStationSpecList::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(StationSpecList, grfid, SLE_UINT32, SLV_27, SL_MAX_VERSION),
SLE_CONDVAR(StationSpecList, localidx, SLE_UINT8, SLV_27, SL_MAX_VERSION),
}

Definition at line 198 of file station_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/station_sl.cpp

StationSpecList
Definition: base_station_base.h:21
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition: saveload.h:704
SLV_27
@ SLV_27
27 4757
Definition: saveload.h:79
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:344